Bug 456672 - freeipa: Cannot create RPMS from tarball [NEEDINFO]
freeipa: Cannot create RPMS from tarball
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: build (Show other bugs)
1.1
All Linux
low Severity medium
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa20
  Show dependency treegraph
 
Reported: 2008-07-25 10:03 EDT by Alessandro Gervaso
Modified: 2015-01-04 18:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 16:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgalipea: needinfo?


Attachments (Terms of Use)
Specify --mandir to fix build breakage on CentOS 5.2 (970 bytes, patch)
2008-07-25 11:15 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Alessandro Gervaso 2008-07-25 10:03:05 EDT
Description of problem:

After having dowloaded the freeipa 1.1 tarball, the rpm build failed because of
the wrong path of some manpages 

Steps to Reproduce:
1. Download freeipa-1.1.0.tar.gz
2. Uncompress it
3. run "make local-dist"

The following lines are the failure's output.
Let me know if I can help in any way, thanks.

+ /usr/lib/rpm/brp-strip-comment-note
Processing files: ipa-server-1.1.0-2
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipactl.8.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipa_kpasswd.8.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipa_webgui.8.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-install.1.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-manage.1.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-prepare.1.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-server-certinstall.1.gz
error: File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-server-install.1.gz


RPM build errors:
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipactl.8.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipa_kpasswd.8.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man8/ipa_webgui.8.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-install.1.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-manage.1.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-replica-prepare.1.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-server-certinstall.1.gz
    File not found:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man/man1/ipa-server-install.1.gz
make: *** [rpm-ipa-server] Error 1
Comment 1 Rob Crittenden 2008-07-25 10:22:46 EDT
What Linux distribution are you using?

Can you see where the man pages were installed?
Comment 2 Alessandro Gervaso 2008-07-25 10:32:53 EDT
Sorry I forgot to add that info.

I'm testing it on Centos 5.2.

The files are installed in:
/var/tmp/ipa-server-1.1.0-2-root-root/usr/man/man1
/var/tmp/ipa-server-1.1.0-2-root-root/usr/man/man8

instead of /var/tmp/ipa-server-1.1.0-2-root-root/usr/share/man as the script
expects.
Comment 3 Rob Crittenden 2008-07-25 11:15:06 EDT
Created attachment 312654 [details]
Specify --mandir to fix build breakage on CentOS 5.2
Comment 4 Alessandro Gervaso 2008-07-25 12:27:01 EDT
I've tested the proposed patch and it solved the problem, thanks.
Comment 5 Rob Crittenden 2008-07-28 10:02:24 EDT
mater: 9f2ee2921890dd246f087dc7338c4ba9fca89acc
Comment 6 Jenny Galipeau 2008-12-03 13:31:42 EST
Is this bug relative to Enterprise IPA or only FreeIPA?
Comment 7 Rob Crittenden 2008-12-03 13:46:20 EST
FreeIPA only

Note You need to log in before you can comment on or make changes to this bug.